#
# spec file for package xorg-x11-libxcb (Version 7.2)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgcrypt libgomp42 libgpg-error libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libxml2 libxslt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions pkg-config popt rpm sed sysvinit tar texinfo timezone util-linux xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-proto-devel zlib

Name:           xorg-x11-libxcb
%define dirsuffix 1.0
BuildRequires:  libxslt pkgconfig xorg-x11-libXau-devel xorg-x11-proto-devel
Url:            http://xorg.freedesktop.org/
Version:        7.2
Release:        51.2
License:        X11/MIT
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          System/Libraries
Summary:        X.Org xcb library
Source:         libxcb-%{dirsuffix}.tar.bz2
Patch:          always-sloppy.diff
Patch1:         bug-262309_xcb-xauthlocalhostname.diff
Patch2:         xcb_parse_display.diff

%description
This package contains the X.Org xcb library.



Authors:
--------
    Bart Massey
    Jamey Sharp
    Josh Triplett

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/Libraries
Requires:       xorg-x11-proto-devel xorg-x11-libXau-devel xorg-x11-libxcb
AutoReqProv:    on

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Bart Massey
    Jamey Sharp
    Josh Triplett

%prep
%setup -n libxcb-%{dirsuffix}
%patch
%patch1 -p1
%patch2 -p1

%build
./configure CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
            --prefix=/usr \
            --libdir=%{_libdir} \
            --docdir=%{_docdir}/%{name}
make %{?jobs:-j %jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf "$RPM_BUILD_ROOT"

%post -p /sbin/ldconfig

%files
%defattr(-,root,root)
/usr/%{_lib}/*.so.*

%files devel
%defattr(-,root,root)
%doc %{_docdir}/%{name}
/usr/include/xcb/
/usr/%{_lib}/*.a
/usr/%{_lib}/*.la
/usr/%{_lib}/*.so
/usr/%{_lib}/pkgconfig/*.pc
%changelog
* Thu Nov 15 2007 - sndirsch@suse.de
- always-sloppy.diff
  * This patch prints out warnings only, the assert() is completely
  gone now. As programs with this error typically trigger it
  several times, each warning is printed only once. (Bug #251087)
- obsoletes sloppy-lock.diff
* Tue Jul 03 2007 - sndirsch@suse.de
- xcb_parse_display.diff:
  * "Attempt to include more of the original display parsing. The
  fix only attempts to address the unix: and [protocol/][host]:
  issue. It doesn't even make the attempt to mimic the behavior
  of the old code in libX11/src/ConnDis.c:_X11TransConnectDisplay().
  The patch is yet untested, it however does compile."
  (Bug #289007)
  * "Discovered two errors in my fix. One isn't likely to concern
  us as it's related to DECnet transport, the other one is real."
  (Bug #289007)
  * "This patch should fix the problem with artefacts from Bug
  [#257830] which still had been in the tree." (Bug #289007)
  * "fix segfault" (Bug #289007)
  * "fix condition" (Bug #289007)
* Tue May 29 2007 - sndirsch@suse.de
- added "%%post -p /sbin/ldconfig" to specfile to make rpmlint happy
* Fri Apr 27 2007 - sndirsch@suse.de
- bug-262309_xcb-xauthlocalhostname.diff:
  * add code, which checks for XAUTHLOCALHOSTNAME now also for
  libxcb, since Xtranssock.c has been replaced by XCB as
  transport layer (Bug #262309)
* Sun Mar 04 2007 - sndirsch@suse.de
- sloppy-lock.diff:
  * workaround for "xcb_xlib.c:50: xcb_xlib_unlock: Assertion
  `c->xlib.lock' failed"; set LIBXCB_ALLOW_SLOPPY_LOCK to enable
  it (Bug #251087)
* Sun Dec 03 2006 - sndirsch@suse.de
- created package
